package com.neusoft.smart.pos.payment.persistent.mapper;

import com.neusoft.smart.pos.payment.persistent.domain.UserPayInfo;
import com.neusoft.smart.pos.payment.persistent.domain.UserPayInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UserPayInfoMapper {
    int countByExample(UserPayInfoExample example);

    int deleteByExample(UserPayInfoExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(UserPayInfo record);

    int insertSelective(UserPayInfo record);

    List<UserPayInfo> selectByExample(UserPayInfoExample example);

    UserPayInfo selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") UserPayInfo record, @Param("example") UserPayInfoExample example);

    int updateByExample(@Param("record") UserPayInfo record, @Param("example") UserPayInfoExample example);

    int updateByPrimaryKeySelective(UserPayInfo record);

    int updateByPrimaryKey(UserPayInfo record);
}